#include "forms.h"
#include <stdlib.h>
#include "FvwmCDE.h"
#include "defs.h"

#include "icons/apps_pixmap.xpm"
#include "icons/blank_pixmap.xpm"
#include "icons/books_pixmap.xpm"
#include "icons/cal_pixmap.xpm"
#include "icons/clock_pixmap.xpm"
#include "icons/edit_pixmap.xpm"
#include "icons/exit_pixmap.xpm"
#include "icons/files_pixmap.xpm"
#include "icons/graphics_pixmap.xpm"
#include "icons/light_off_pixmap.xpm"
#include "icons/lock_pixmap.xpm"
#include "icons/minimize_pixmap.xpm"
#include "icons/nomail_pixmap.xpm"
#include "icons/printer_pixmap.xpm"
#include "icons/trash_pixmap.xpm"
#include "icons/window_ops_pixmap.xpm"


FD_FvwmCDE *
create_form_FvwmCDE (void)
{
  FL_OBJECT *obj;
  FD_FvwmCDE *fdui = (FD_FvwmCDE *) fl_calloc (1, sizeof (*fdui));

  /* form definition */
  fdui->FvwmCDE = fl_bgn_form (FL_NO_BOX, 970, 90);
  obj = fl_add_box (FL_UP_BOX, 0, 0, 970, 90, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_object_bw (obj, -1);

  fdui->panelbutton[0] = obj =
    fl_add_pixmapbutton (FL_PUSH_BUTTON, 30, 5, 56, 20, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, blank_pixmap_xpm);
  fl_set_object_bw (obj, -1);

  fdui->panelbutton[1] = obj =
    fl_add_pixmapbutton (FL_PUSH_BUTTON, 86, 5, 56, 20, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, blank_pixmap_xpm);
  fl_set_object_bw (obj, -1);

  fdui->panelbutton[2] = obj =
    fl_add_pixmapbutton (FL_PUSH_BUTTON, 142, 5, 56, 20, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, blank_pixmap_xpm);
  fl_set_object_bw (obj, -1);

  fdui->panelbutton[3] = obj =
    fl_add_pixmapbutton (FL_PUSH_BUTTON, 198, 5, 56, 20, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, blank_pixmap_xpm);
  fl_set_object_bw (obj, -1);

  fdui->panelbutton[4] = obj =
    fl_add_pixmapbutton (FL_PUSH_BUTTON, 254, 5, 56, 20, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, blank_pixmap_xpm);
  fl_set_object_bw (obj, -1);

  fdui->panelbutton[5] = obj =
    fl_add_pixmapbutton (FL_PUSH_BUTTON, 660, 5, 56, 20, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, blank_pixmap_xpm);
  fl_set_object_bw (obj, -1);

  fdui->panelbutton[6] = obj =
    fl_add_pixmapbutton (FL_PUSH_BUTTON, 716, 5, 56, 20, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, blank_pixmap_xpm);
  fl_set_object_bw (obj, -1);

  fdui->panelbutton[7] = obj =
    fl_add_pixmapbutton (FL_PUSH_BUTTON, 772, 5, 56, 20, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, blank_pixmap_xpm);
  fl_set_object_bw (obj, -1);

  fdui->panelbutton[8] = obj =
    fl_add_pixmapbutton (FL_PUSH_BUTTON, 828, 5, 56, 20, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, blank_pixmap_xpm);
  fl_set_object_bw (obj, -1);

  fdui->panelbutton[9] = obj =
    fl_add_pixmapbutton (FL_PUSH_BUTTON, 884, 5, 56, 20, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, blank_pixmap_xpm);
  fl_set_object_bw (obj, -1);

  obj = fl_add_box (FL_UP_BOX, 310, 5, 350, 25, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_object_bw (obj, -2);

  obj = fl_add_box (FL_UP_BOX, 630, 25, 310, 60, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_object_bw (obj, -2);

  obj = fl_add_box (FL_UP_BOX, 30, 25, 310, 60, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_object_bw (obj, -2);

  obj = fl_add_box (FL_UP_BOX, 320, 5, 330, 80, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_object_bw (obj, -2);

  fdui->light_pixmap = obj =
    fl_add_pixmap (FL_NORMAL_PIXMAP, 620, 12, 20, 32, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmap_data (obj, light_off_pixmap_xpm);

  fdui->lock_button = obj =
    fl_add_pixmapbutton (FL_NORMAL_BUTTON, 330, 12, 20, 35, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, lock_pixmap_xpm);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);
  fl_set_object_bw (obj, -1);

  fdui->exit_button = obj =
    fl_add_pixmapbutton (FL_NORMAL_BUTTON, 620, 50, 20, 30, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, exit_pixmap_xpm);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);
  fl_set_object_bw (obj, -1);

  fdui->one_button = obj =
    fl_add_button (FL_RADIO_BUTTON, 360, 20, 120, 25, "One");
  fl_set_object_color (obj, CUSTOM_COLOR2, CUSTOM_COLOR2);
  fl_set_object_lcol (obj, FL_WHITE);
  fl_set_object_lsize (obj, FL_NORMAL_SIZE);
  fl_set_object_lalign (obj, FL_ALIGN_LEFT | FL_ALIGN_INSIDE);
  fl_set_object_lstyle (obj, FL_BOLD_STYLE);
  fl_set_object_bw (obj, -3);

  fdui->two_button = obj =
    fl_add_button (FL_RADIO_BUTTON, 490, 20, 120, 25, "Two");
  fl_set_object_color (obj, CUSTOM_COLOR2, CUSTOM_COLOR2);
  fl_set_object_lcol (obj, FL_WHITE);
  fl_set_object_lsize (obj, FL_NORMAL_SIZE);
  fl_set_object_lalign (obj, FL_ALIGN_LEFT | FL_ALIGN_INSIDE);
  fl_set_object_lstyle (obj, FL_BOLD_STYLE);
  fl_set_object_bw (obj, -3);

  fdui->three_button = obj =
    fl_add_button (FL_RADIO_BUTTON, 360, 50, 120, 25, "Three");
  fl_set_object_color (obj, CUSTOM_COLOR2, CUSTOM_COLOR2);
  fl_set_object_lcol (obj, FL_WHITE);
  fl_set_object_lsize (obj, FL_NORMAL_SIZE);
  fl_set_object_lalign (obj, FL_ALIGN_LEFT | FL_ALIGN_INSIDE);
  fl_set_object_lstyle (obj, FL_BOLD_STYLE);
  fl_set_object_bw (obj, -3);

  fdui->four_button = obj =
    fl_add_button (FL_RADIO_BUTTON, 490, 50, 120, 25, "Four");
  fl_set_object_color (obj, CUSTOM_COLOR2, CUSTOM_COLOR2);
  fl_set_object_lcol (obj, FL_WHITE);
  fl_set_object_lsize (obj, FL_NORMAL_SIZE);
  fl_set_object_lalign (obj, FL_ALIGN_LEFT | FL_ALIGN_INSIDE);
  fl_set_object_lstyle (obj, FL_BOLD_STYLE);
  fl_set_object_bw (obj, -3);

  fdui->clock_pixmap = obj =
    fl_add_pixmap (FL_NORMAL_PIXMAP, 32, 30, 53, 50, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmap_data (obj, clock_pixmap_xpm);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);

  /* the analog clock face will be drawn here */
  fdui->clock_canvas = obj =
    fl_add_canvas (FL_NORMAL_CANVAS, 46, 44, 25, 23, "clock_canvas");
  fl_set_canvas_decoration (obj, FL_NO_FRAME);

  /* clock button (hidden of course) */
  fdui->button0 = obj =
    fl_add_button (FL_HIDDEN_BUTTON, 32, 30, 53, 50, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);
  fl_set_object_bw (obj, -1);

  fdui->cal_pixmap = obj =
    fl_add_pixmap (FL_NORMAL_PIXMAP, 86, 30, 55, 50, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmap_data (obj, cal_pixmap_xpm);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);

  /* calendar button (hidden too) */
  fdui->button1 = obj =
    fl_add_button (FL_HIDDEN_BUTTON, 86, 30, 55, 50, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);
  fl_set_object_bw (obj, -1);

  fdui->button2 = obj =
    fl_add_pixmapbutton (FL_NORMAL_BUTTON, 142, 30, 55, 50, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, files_pixmap_xpm);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);
  fl_set_object_bw (obj, -1);

  fdui->button3 = obj =
    fl_add_pixmapbutton (FL_NORMAL_BUTTON, 198, 30, 55, 50, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, edit_pixmap_xpm);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);
  fl_set_object_bw (obj, -1);

  fdui->button4 = obj =
    fl_add_pixmapbutton (FL_NORMAL_BUTTON, 254, 30, 55, 50, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, nomail_pixmap_xpm);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);
  fl_set_object_bw (obj, -1);

  fdui->button5 = obj =
    fl_add_pixmapbutton (FL_NORMAL_BUTTON, 660, 30, 55, 50, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, printer_pixmap_xpm);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);
  fl_set_object_bw (obj, -1);

  fdui->button6 = obj =
    fl_add_pixmapbutton (FL_NORMAL_BUTTON, 716, 30, 55, 50, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, graphics_pixmap_xpm);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);
  fl_set_object_bw (obj, -1);

  fdui->button7 = obj =
    fl_add_pixmapbutton (FL_NORMAL_BUTTON, 772, 30, 55, 50, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, apps_pixmap_xpm);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);
  fl_set_object_bw (obj, -1);

  fdui->button8 = obj =
    fl_add_pixmapbutton (FL_NORMAL_BUTTON, 828, 30, 55, 50, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, books_pixmap_xpm);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);
  fl_set_object_bw (obj, -1);

  fdui->button9 = obj =
    fl_add_pixmapbutton (FL_NORMAL_BUTTON, 886, 30, 52, 50, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, trash_pixmap_xpm);
  fl_set_object_boxtype (obj, FL_FLAT_BOX);
  fl_set_object_bw (obj, -1);

  fdui->minimize_button = obj =
    fl_add_pixmapbutton (FL_NORMAL_BUTTON, 940, 5, 25, 80, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, minimize_pixmap_xpm);
  fl_set_object_bw (obj, -1);

  fdui->window_ops_button = obj =
    fl_add_pixmapbutton (FL_NORMAL_BUTTON, 5, 5, 25, 80, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_pixmapbutton_data (obj, window_ops_pixmap_xpm);
  fl_set_object_bw (obj, -1);

  fdui->month_text = obj =
    fl_add_text (FL_NORMAL_TEXT, 97, 40, 34, 20, "");
  fl_set_object_lalign (obj, FL_ALIGN_CENTER | FL_ALIGN_INSIDE);
  fl_set_object_color (obj, CUSTOM_COLOR3, CUSTOM_COLOR3);
#ifndef NO_LUCIDA
  fl_set_object_lstyle (obj, FL_FIXED_STYLE);
#else
  fl_set_object_lstyle (obj, FL_NORMAL_STYLE);
  fl_set_object_lsize (obj, FL_SMALL_SIZE);
#endif

  fdui->day_text = obj =
    fl_add_text (FL_NORMAL_TEXT, 102, 59, 23, 16, "");
  fl_set_object_lalign (obj, FL_ALIGN_CENTER | FL_ALIGN_INSIDE);
  fl_set_object_color (obj, CUSTOM_COLOR3, CUSTOM_COLOR3);
#ifndef NO_LUCIDA
  fl_set_object_lstyle (obj, FL_FIXED_STYLE);
#else
  fl_set_object_lstyle (obj, FL_NORMAL_STYLE);
  fl_set_object_lsize (obj, FL_SMALL_SIZE);
#endif

  fl_end_form ();

  return fdui;
}
