#ifndef defs_dot_h
#define defs_dot_h  1

#include "forms.h"
#include "confirm.h"
#include "FvwmCDE.h"
#include "minimized.h"
#include <limits.h>
#include <stdlib.h>

/* define some colors */
#define CUSTOM_COLOR1  (FL_FREE_COL1 + 1)
#define CUSTOM_COLOR2  (FL_FREE_COL1 + 2)
#define CUSTOM_COLOR3  (FL_FREE_COL1 + 3)
#define CUSTOM_COLOR4  (FL_FREE_COL1 + 4)

/* these are the buttons on the front panel */
enum
  {
    LITTLE1,
    LITTLE2,
    LITTLE3,
    LITTLE4,
    LITTLE5,
    LITTLE6,
    LITTLE7,
    LITTLE8,
    LITTLE9,
    LITTLE10,
    WINDOW_OPS,
    CLOCK,
    CAL,
    FILES,
    EDIT,
    MAIL,
    LOCK,
    EXIT,
    PRINTER,
    GRAPHICS,
    APPS,
    BOOKS,
    TRASH,
    NWIDGETS
  };

#define CMDLEN  (_POSIX_PATH_MAX * 4)

extern char MailFile[_POSIX_PATH_MAX];
extern GC canvasGC;
extern Display *disp;
extern FD_FvwmCDE *fd_FvwmCDE;
extern FD_FvwmCDE_minimized *fd_FvwmCDE_minimized;
extern FD_confirm *fd_confirm;
extern char CmdList[NWIDGETS][CMDLEN];
extern int ledState, ledCounter;
extern char PixmapPath[_POSIX_PATH_MAX * 8];
extern int disable_all;
extern int ButtonRed, ButtonGreen, ButtonBlue;
extern int BackRed, BackGreen, BackBlue;
extern char dt1back[_POSIX_PATH_MAX];
extern char dt2back[_POSIX_PATH_MAX];
extern char dt3back[_POSIX_PATH_MAX];
extern char dt4back[_POSIX_PATH_MAX];

#endif
