#include "forms.h"
#include <stdlib.h>
#include "defs.h"
#include "minimized.h"
#include "interaction.h"
#include "icons/FvwmCDE_icon.xpm"

FD_FvwmCDE_minimized *
create_form_FvwmCDE_minimized (void)
{
  FL_OBJECT *obj;
  FD_FvwmCDE_minimized *fdui =
  (FD_FvwmCDE_minimized *) fl_calloc (1, sizeof (*fdui));

  fdui->FvwmCDE_minimized = fl_bgn_form (FL_NO_BOX, 70, 90);
  obj = fl_add_box (FL_UP_BOX, 0, 0, 70, 90, "");
  fl_set_object_bw (obj, -3);
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_object_resize (obj, FL_RESIZE_NONE);

  obj = fl_add_box (FL_UP_BOX, 0, 0, 70, 65, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_object_bw (obj, -3);

  obj = fl_add_frame (FL_ENGRAVED_FRAME, 5, 5, 60, 55, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);

  fdui->label = obj = fl_add_text (FL_NORMAL_TEXT, 5, 65, 60, 20, "");
  fl_set_object_color (obj, CUSTOM_COLOR1, CUSTOM_COLOR1);
  fl_set_object_lalign (obj, FL_ALIGN_CENTER | FL_ALIGN_INSIDE);
  fl_set_object_lstyle (obj, FL_BOLD_STYLE);
  fl_set_object_lsize (obj, FL_NORMAL_SIZE);

  fdui->iconic_pixmap = obj =
    fl_add_pixmap (FL_NORMAL_PIXMAP, 10, 10, 50, 45, "");
  fl_set_pixmap_data (obj, FvwmCDE_icon_xpm);

  fdui->iconic_button = obj =
    fl_add_button (FL_HIDDEN_BUTTON, 10, 10, 50, 45, "");

  fl_end_form ();

  return fdui;
}
