#include "forms.h"
#include <stdlib.h>
#include "confirm.h"
#include "defs.h"
#include "icons/confirm.xpm"

FD_confirm *
create_form_confirm (void)
{
  FL_OBJECT *obj;
  FD_confirm *fdui = (FD_confirm *) fl_calloc (1, sizeof (*fdui));

  fdui->confirm = fl_bgn_form (FL_NO_BOX, 400, 170);
  obj = fl_add_box (FL_UP_BOX, 0, 0, 400, 170, "");
  fl_set_object_resize (obj, FL_RESIZE_NONE);
  fl_set_object_bw (obj, -2);

  fdui->ok_button = obj = fl_add_button (FL_NORMAL_BUTTON, 60, 110, 80, 30, "OK");
  fl_set_object_lsize (obj, FL_NORMAL_SIZE);
  fl_set_object_lstyle (obj, FL_BOLD_STYLE);
  fl_set_object_bw (obj, -2);

  fdui->cancel_button = obj = fl_add_button (FL_NORMAL_BUTTON, 260, 110, 80, 30, "Cancel");
  fl_set_object_lsize (obj, FL_NORMAL_SIZE);
  fl_set_object_lstyle (obj, FL_BOLD_STYLE);
  fl_set_object_bw (obj, -2);

  fdui->pixmap = obj = fl_add_pixmap (FL_NORMAL_PIXMAP, 30, 30, 50, 50, "");
  fl_set_pixmap_data (obj, confirm_xpm);

  fdui->label = obj = fl_add_text (FL_NORMAL_TEXT, 100, 40, 270, 30, "Are you sure you want to quit?");
  fl_set_object_lsize (obj, FL_MEDIUM_SIZE);
  fl_set_object_lalign (obj, FL_ALIGN_RIGHT | FL_ALIGN_INSIDE);
  fl_set_object_lstyle (obj, FL_BOLDITALIC_STYLE);

  fl_end_form ();
  return fdui;
}
